//  File:  ThermistorSensor.pde
//
//  Use a voltage divider to indicate electrical resistance of a thermometer
//  Measurements and conversions are managed via objects

#include <Thermistor.h>

// --- temp is a thermistor object
Thermistor temp(1);

// -- setup() is executed once when sketch is downloaded or Arduino is reset
void setup() {
  Serial.begin(9600);
  temp.fixedResistance(9870);
  temp.coefficients( 1.009249522e-03, 2.378405444e-04, 2.019202697e-07);
  Serial.println("T (C)");
}

// -- loop() is repeated indefinitely
void loop() {
  double temperature = temp.getTemp();
  
  Serial.println(temperature);
  delay(200);
}
