//  File:  ThermistorTemperatureFunction.pde
//
//  Use a voltage divider to indicate electrical resistance of a thermistor.
//  Thermistor reading and conversion calculations are encapsulated in a
//  reusable function.

#include <thermistorFun.h>

// -- setup() is executed once when sketch is downloaded or Arduino is reset
void setup() {
  Serial.begin(9600);        // open serial port and set data rate to 9600 bps 
  Serial.println("Thermistor temperature measurement:");
  Serial.println("\nT (C)");
}  

// -- loop() is repeated indefinitely
void loop() {
  int   ThermistorPin = 1;     //  Analog input pin for thermistor voltage
  float T;                     //  Value of temperature reading
 
  T = thermistorRead(ThermistorPin);
  Serial.println(T);
  delay(200);
}
